function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _object_spread(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
import { useEditorStyleRegister } from "../../../../Hooks/useStyle";
var genStyle = function(token) {
    var _obj;
    return _define_property({}, token.componentCls, (_obj = {
        listStyle: 'disc',
        marginBottom: '0',
        marginTop: '0',
        '&-container': {
            marginTop: '0.5em',
            marginBottom: '0.5em'
        },
        'div[data-be="paragraph"]': {
            display: 'block',
            marginBottom: '0 !important',
            marginTop: '0 !important',
            paddingTop: '0 !important',
            paddingBottom: '0 !important'
        }
    }, _define_property(_obj, "li:not(".concat(token.componentCls, "-task) > :first-child [data-drag-handle]"), {
        paddingLeft: '2px',
        paddingRight: '12px',
        left: '-44px !important'
    }), _define_property(_obj, "li".concat(token.componentCls, "-task > :nth-child(2) [data-drag-handle]"), {
        paddingLeft: '2px',
        paddingRight: '10px',
        left: '-50px !important'
    }), _define_property(_obj, '&-check-item', {
        display: 'flex',
        alignItems: 'center',
        position: 'absolute',
        userSelect: 'none',
        height: '1.87em',
        left: '0',
        top: '0',
        zIndex: 10
    }), _define_property(_obj, '&-item', _define_property({
        position: 'relative',
        wordBreak: 'break-all',
        gap: '4px',
        "> [data-be='list']": {
            marginBottom: '0'
        }
    }, "&".concat(token.componentCls, "-task"), {
        paddingLeft: '24px',
        display: 'flex',
        alignItems: 'center'
    })), _define_property(_obj, '&.ol', _define_property({
        '&::marker': {
            color: 'var(--color-gray-text-light)'
        }
    }, "&".concat(token.componentCls), _define_property({
        listStyle: 'decimal'
    }, "& ol".concat(token.componentCls), _define_property({
        listStyle: 'lower-alpha',
        paddingLeft: 'var(--padding-4x)'
    }, "& ol".concat(token.componentCls), _define_property({
        listStyle: 'lower-roman'
    }, "& ol".concat(token.componentCls), {
        listStyle: 'decimal'
    }))))), _define_property(_obj, '&.ul', _define_property({}, "&".concat(token.componentCls), _define_property({
        listStyle: 'disc'
    }, "& ul".concat(token.componentCls), _define_property({
        listStyle: 'circle',
        paddingLeft: 'var(--padding-4x)'
    }, "& ul".concat(token.componentCls), _define_property({
        listStyle: 'square'
    }, "& ul".concat(token.componentCls), {
        listStyle: 'disc'
    }))))), _define_property(_obj, '&[data-task]', {
        listStyle: 'none !important',
        paddingLeft: '0'
    }), _obj));
};
/**
 * BubbleChat
 * @param prefixCls
 * @returns
 */ export function useStyle(prefixCls) {
    return useEditorStyleRegister('editor-content-list', function(token) {
        var editorToken = _object_spread_props(_object_spread({}, token), {
            componentCls: ".".concat(prefixCls)
        });
        return [
            genStyle(editorToken)
        ];
    });
}
